--- latex.py	Fri Apr  4 12:23:09 2003
+++ /home/wvdata/wiki/lib/python2.2/site-packages/MoinMoin/processor/latex.py	Thu Sep 25 14:15:29 2003
@@ -10,10 +10,10 @@
 import string, sys, os, re, sha
 from MoinMoin import config
 
-config_cache_dir='./pds'
+config_cache_dir='/home/wvdata/public_html/wiki/pds'
 config_cache_url=config.url_prefix+'/pds'
 config_external_latex='/usr/bin/latex'
-config_external_convert='/usr/X11R6/bin/convert'
+config_external_convert='/usr/bin/convert'
 config_var_tmp='/var/tmp'
 
 def process(request, formatter, lines):
@@ -32,22 +32,22 @@
         os.makedirs(config_cache_dir + "/LaTex/attachments", 0777)
 
     if not os.path.exists(outpath):
-        data = open("%s/%s.tex" % (config_vartmp_dir,imgname), "w")
+        data = open("%s/%s.tex" % (config_var_tmp,imgname), "w")
         data.write('\\documentclass{article}\n\\thispagestyle{empty}\n')
         data.write('\\begin{document}\n%s\n\\end{document}' % texstr)
         data.close()
 
         options='-interaction=batchmode'
-        cmd = "cd " + config_vartmp_dir + ";%(latex)s %(options)s %(tex)s >/dev/null" % {
+        cmd = "cd " + config_var_tmp + ";%(latex)s %(options)s %(tex)s >/dev/null" % {
            "options": options,
            "latex": config_external_latex,
            "tex": imgname
         }
         os.system(cmd)
-        os.system("cd " + config_vartmp_dir + ";dvips " + imgname + ".dvi " +
+        os.system("cd " + config_var_tmp + ";dvips " + imgname + ".dvi " +
            "-o " + imgname + ".ps")
         os.system(config_external_convert + " -crop 0x0 -density 120x120 " +
-           config_vartmp_dir + "/" + imgname + ".ps " + outpath)
-        os.system("rm -f " + config_vartmp_dir + "/" + imgname + ".*")
+           config_var_tmp + "/" + imgname + ".ps " + outpath)
+        os.system("rm -f " + config_var_tmp + "/" + imgname + ".*")
 
     sys.stdout.write(formatter.image(src="%s" % outurl, alt=texstr, align='absmiddle'))
